Subject: Re: Bestcomm trouble with NAPI for MPC5200 FEC

From: Wolfgang Grandegger <[email-masked]>
Date: Fri, 10 Jul 2009 10:26:57 +0200

Wolfram Sang wrote:
> Hello Wolfgang,
> 
>> I'm currently trying to implement NAPI for the FEC on the MPC5200 to
>> solve the well known problem, that network packet storms can cause
>> interrupt flooding, which may totally block the system. The NAPI

Just bombard the FEC with network packets. I use pktgen on the host and
I could send you a script if you like.

> That's great news. Do you happen to have a scenario which reliably triggers the
> problem? Then I could do some testing as well. I haven't seen this on our
> boards for quite a while, but I'd like to verify.
> 
>> - With 2.6.31-rc2, the RFIFO error occurs quickly which does reset the
>>   FEC and Bestcomm (unfortunately, this does trigger an oops because
>>   it's called from the interrupt context, but that's another issue).
> 
> +1 for "error handling resets too much"

Yes, and furthermore it's leaking skb's :-(.

Wolfgang.